/* $Id: iop-usb-map.h,v 1.5 2005/04/26 11:23:02 larsv Exp $
 *
 * ETRAX FS IOP USB 1.1 Host Controller
 *
 * Mapping to specific instances of hardware blocks
 *
 * Copyright (C) 2004  Axis Communications AB
 */

#ifndef __IOP_USB_MAP_H
#define __IOP_USB_MAP_H

#ifndef __IOPASM__
#include "compat.h"
#endif /* __IOPASM__ */

#ifndef REGI
#ifdef __IOPASM__
#define REGI(x)			x
#else /* __IOPASM__ */
#define REGI(x)			regi_##x
#endif /* __IOPASM__ */
#endif /* REGI */

#undef DMA_IN
#undef DMA_OUT
#undef DMC_IN
#undef DMC_OUT
#undef SCRC_OUT
#undef CRC_PAR
#undef FIFO_IN
#undef FIFO_OUT
#undef FIFO_OUT_EXTRA
#undef SPU
#undef SW_SPU
#undef FRAME_TIMER_GRP
#undef RX_CNT_TIMER_GRP

#if (IOP_USB_DMAMAPPING == 0)
#ifdef SIMDEF_TARGET_BANANA
#define DMA_IN			REGI(dma_in0)
#define DMA_OUT			REGI(dma_out0)
#else /* SIMDEF_TARGET_BANANA */
#define DMA_IN			REGI(dma3)
#define DMA_OUT			REGI(dma2)
#endif /* SIMDEF_TARGET_BANANA */
#define DMC_IN			REGI(iop_dmc_in0)
#define DMC_OUT			REGI(iop_dmc_out0)
#define SCRC_OUT		REGI(iop_scrc_out0)	
#define CRC_PAR			REGI(iop_crc_par0)
#define FIFO_IN			REGI(iop_fifo_in0)
#define FIFO_OUT		REGI(iop_fifo_out0)
#define FIFO_OUT_EXTRA		REGI(iop_fifo_out0_extra)
#define SPU			REGI(iop_spu0)
#define SW_SPU			REGI(iop_sw_spu0)
#define FRAME_TIMER_GRP		REGI(iop_timer_grp0)
#define RX_CNT_TIMER_GRP	REGI(iop_timer_grp2)
#elif (IOP_USB_DMAMAPPING == 1)
#ifdef SIMDEF_TARGET_BANANA
#define DMA_IN			REGI(dma_in1)
#define DMA_OUT			REGI(dma_out1)
#else /* SIMDEF_TARGET_BANANA */
#define DMA_IN			REGI(dma5)
#define DMA_OUT			REGI(dma4)
#endif /* SIMDEF_TARGET_BANANA */
#define DMC_IN			REGI(iop_dmc_in1)
#define DMC_OUT			REGI(iop_dmc_out1)
#define SCRC_OUT		REGI(iop_scrc_out1)	
#define CRC_PAR			REGI(iop_crc_par1)
#define FIFO_IN			REGI(iop_fifo_in1)
#define FIFO_OUT		REGI(iop_fifo_out1)
#define FIFO_OUT_EXTRA		REGI(iop_fifo_out1_extra)
#define SPU			REGI(iop_spu1)
#define SW_SPU			REGI(iop_sw_spu1)
#define FRAME_TIMER_GRP		REGI(iop_timer_grp1)
#define RX_CNT_TIMER_GRP	REGI(iop_timer_grp3)
#endif

#endif /* __IOP_USB_MAP_H */
